%define name glabels
%define version 2.0.1
%define release 3mdk

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d


Summary:	Glabels is a GNOME program to create labels and business cards
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Office

Source:		%name-%version.tar.bz2

URL:		http://snaught.com/glabels/
Buildrequires:  libgnome2-devel, glib2-devel, gtk2-devel, libgnomeprint-devel
BuildRequires:	libxml2-devel, libgnomeui2-devel, libgnome2-devel
BuildRequires:  libbonobo2_x-devel, libbonoboui2-devel, libgnomecanvas2-devel
BuildRequires:  libglade2.0-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Glabels is stand-alone program for creating labels and business cards
for GNOME.

%package -n %libname
Summary: Glabels is a GNOME program to create labels and business cards
Group: System/Libraries

%description -n %libname
Glabels is stand-alone program for creating labels and business cards
for GNOME. Libraries.

%package -n %libnamedev
Summary: Glabels devel files
Group: Development/Other
Requires: %libname = %version
Provides: libglabels-devel

%description -n %libnamedev
Glabels is stand-alone program for creating labels and business cards
for GNOME. Devel files.


%prep

%setup -q

%build

%configure

make

%install
rm -fr %buildroot

%makeinstall
rm -f %{buildroot}/%{_datadir}/mime/XMLnamespaces 
rm -f %{buildroot}/%{_datadir}/mime/globs 
rm -f %{buildroot}/%{_datadir}/mime/magic

rm -rf $RPM_BUILD_ROOT/var

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/glabels"\
title="Glabels"\
longtitle="Create labels and business cards"\
needs="x11"\
section="Office/Accessories" \
icon="office_accessories_section.png"
EOF
)


%find_lang %name --with-gnome

%post

%update_menus

%postun

%clean_menus

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
#rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%doc README COPYING AUTHORS INSTALL
%_bindir/*
%_datadir/%name
%_datadir/gnome/help/glabels/
%_datadir/pixmaps/%name
%_datadir/application-registry/*
%_datadir/applications/*
%_datadir/mime-info/*
%_datadir/mime/application/*
%_datadir/mime/packages/*
%_datadir/omf/*
%_datadir/pixmaps/*
%_datadir/man/man1/*
%_menudir/*

%files -n %libname
%defattr(-, root, root)
%_libdir/*.so.*

%files -n %libnamedev
%defattr(-, root, root)
%_libdir/*.so
%_libdir/*.*a
%dir %_includedir/libglabels
%_includedir/libglabels/*

%changelog
* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-3mdk
- Another BuildRequires

* Tue Aug 17 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-2mdk
- Fix BuildRequires

* Mon Aug 16 2004 Jerome Soyer <saispo@mandrake.org> 2.0.1-1mdk
- 2.0.1

* Wed Aug 11 2004 Jerome Soyer <saispo@mandrake.org> 2.0.0-1mdk
- 2.0.0

* Wed Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.93.3-1mdk
- 1.93.3

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-3mdk
- buildrequires

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-2mdk
- rebuild

* Thu Sep 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Tue Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Mon Feb 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Tue Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 0.4.0-2mdk
- Fix menu entry (icon)

* Mon Jan 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Wed Dec 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- 0.3.4

* Tue Dec 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Mon Nov 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4

* Mon Nov 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-1mdk
- 0.2.3

* Wed Oct 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- submitted by Jim Evins <evins@snaught.com> :
	- Created

